Skip to main content
GET
/
v1
/
programs
/
{program_id}
Get Program
curl --request GET \
  --url https://api.axiom.xyz/v1/programs/{program_id} \
  --header 'Axiom-API-Key: <api-key>'
import requests

url = "https://api.axiom.xyz/v1/programs/{program_id}"

headers = {"Axiom-API-Key": "<api-key>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {'Axiom-API-Key': '<api-key>'}};

fetch('https://api.axiom.xyz/v1/programs/{program_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "id": "<string>",
  "created_at": "2023-11-07T05:31:56Z",
  "name": "<string>",
  "created_by": "<string>",
  "last_active_at": "2023-11-07T05:31:56Z",
  "launched_at": "2023-11-07T05:31:56Z",
  "terminated_at": "2023-11-07T05:31:56Z",
  "config_uuid": "<string>",
  "program_hash": "<string>",
  "openvm_config": "<string>",
  "cells_used": 123,
  "proofs_run": 123,
  "commit_sha": "<string>",
  "project_id": "<string>",
  "project_name": "<string>",
  "project_highlighted_program_id": "<string>",
  "error_message": ""
}
{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}

Authorizations

Axiom-API-Key
string
header
required

Path Parameters

program_id
string
required

Response

Program details retrieved successfully

User-facing program response model.

id
string
required
created_at
string<date-time>
required
status
enum<string>
required
Available options:
ready,
processing,
not_ready,
error,
failed
name
string
required
created_by
string
required
last_active_at
string<date-time>
required
launched_at
string<date-time> | null
required
terminated_at
string<date-time> | null
required
config_uuid
string
required
program_hash
string
required
openvm_config
string
required
cells_used
integer
required
proofs_run
integer
required
commit_sha
string | null
required
project_id
string
required
project_name
string | null
required
project_highlighted_program_id
string | null
required
error_message
string | null

Error message if the program compilation failed

Example:

""